%define fontdir         %{_datadir}/fonts/doulos
%define litversion	4.0.14

Name:           doulos-fonts
Version:        4.100
Release:        1%{?dist}
Summary:        Doulos SIL fonts

Group:          User Interface/X
License:        OFL
URL:            http://scripts.sil.org/DoulosSILFont
# Sources can be downloaded from http://scripts.sil.org/DoulosSIL_download#FontsDownload
Source0:        DoulosSIL%{version}.zip
Source1:        DoulosSILLit%{litversion}.r1.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
Doulos SIL provides glyphs for a wide range of Latin and Cyrillic characters.
Doulos is very similar to Times/Times New Roman, but only has a single
regular face. It is intended for use alongside other Times-like fonts where
a range of styles (italic, bold) are not needed.


%prep
%setup -q -c -a 1
mv 0NRSI/RFS/documentation/DoulosSILLiteracy/FONTLOG.txt FONTLOG-Literacy.txt
mv DoulosSILLiteracy/*.ttf .
%{__sed} -i 's/\r//' *.txt 


%build


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{fontdir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc FONTLOG.txt FONTLOG-Literacy.txt OFL.txt OFL-FAQ.txt README.txt
%doc DoulosSIL%{version}FontDocumentation.pdf

%dir %{fontdir}
%{fontdir}/*.ttf


%changelog
* Tue Dec 11 2007 Roozbeh Pournader <roozbeh@farsiweb.info> - 4.100-1
- Update main font to 4.100, keep old Doulos Literacy which is latest
- Change license tag to OFL

* Thu Nov 09 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 4.0.14-4
- Include Doulos Literacy
- Don't include font cache files (fontconfig mechanism is changed)

* Wed Nov 08 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 4.0.14-3
- Add dist tag

* Wed Nov 08 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 4.0.14-2
- Rebuild to make package available in Rawhide again

* Sat Feb 18 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 4.0.14-1
- Initial packaging, based on gentium-fonts
